Skip to main content
`Ctrl`+`K`

# PetscSpaceGetNumVariables

Return the number of variables for this space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetNumVariables(PetscSpace sp, PetscInt *n)

## Input Parameter

- sp - The `PetscSpace`

## Output Parameter

- n - The number of variables, e.g. x, y, z…

## See Also

`PetscSpace`, `PetscSpaceSetNumVariables()`, `PetscSpaceGetNumComponents()`, `PetscSpaceGetDimension()`, `PetscSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/space/interface/space.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages